Get audience

This endpoint returns the platform ID along with the audience count.

Available platforms and associated values are described below:

Platform Value
Shazam Count
Spotify Streams
Youtube Views
Instagram Number of reels
Soundcloud Plays
Audiomack Plays
Genius Page views
Gaana Favorites
JioSaavn Plays
Melon Likes
Line Music Streams
Anghami Plays
Last.fm Plays
Awa Streams

Don’t see the audience metric in the response for a specific song? We may not have the song platform ID! Use the Add links endpoint to submit it Soundcharts.

Need to get the song UUID first? Use the Get song by ISRC or Get song by platform ID or Search song by name endpoints.

Request

GET /api/v2/song/{uuid}/audience/{platform}

Path parameters

Parameter Value Description Additional
uuid string A Song UUID Required
platform string A platform code Required

Query string parameters

Parameter Value Description Additional
startDate string Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional
identifier string Optional song identifier (example : 2Fxmhks0bxGSBdJ92vM42m) Optional

Response

Code Description Resource
200 OK

A song response with platform stream for a period

SongPlotCollectionResponse
400 Bad Request

Invalid platform code

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Song not found

Explore

A Song UUID

A platform code

Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date.

Optional period end date (format YYYY-MM-DD)

Get results starting from position

Number of results (max. 100)

Optional song identifier (example : 2Fxmhks0bxGSBdJ92vM42m)

Try it out